summaryrefslogtreecommitdiff
path: root/test-rocq.bash
diff options
context:
space:
mode:
Diffstat (limited to 'test-rocq.bash')
-rw-r--r--test-rocq.bash25
1 files changed, 25 insertions, 0 deletions
diff --git a/test-rocq.bash b/test-rocq.bash
new file mode 100644
index 00000000000..4159d21f0c8
--- /dev/null
+++ b/test-rocq.bash
@@ -0,0 +1,25 @@
+set -e
+
+# clean up before starting
+echo cleaning rocq builds
+guix gc -D $(find /gnu/store -maxdepth 1 -name "*rocq*")
+
+# copy to temp to keep avoid recompiling unnecessary files
+TMP=`mktemp -t -d test-rocq.bash.XXXXXX`
+mkdir -p $TMP/gnu/packages
+cp gnu/packages/rocq.scm $TMP/gnu/packages
+
+for PKG in rocq-runtime rocq-core rocqide rocqide-server
+do
+ echo building $PKG ...
+ guix build -L $TMP $PKG
+ echo ... success
+done
+
+echo testing repl ...
+guix shell -L scratch/ rocq-runtime rocq-core -- rocq top < RocqExample.v
+echo ... success
+
+echo rocq tests finished successfully
+
+trap "rm -rf $TMP* 2>EXIT" 0